%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)
%define clearlooks 0.6.2

%define name    gnome-themes
%define version 2.32.1
%define release %mkrel 1

Summary: Themes for GNOME
Name: 	 	%{name}
Version: 	%{version}
Release:	%{release}
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: http://prdownloads.sourceforge.net/clearlooks/clearlooks-%clearlooks.tar.bz2
Source2: http://www.gnome-look.org/content/show.php/SlicknesS?content=71993/SlicknesS-2.2.1.tar.bz2
Source3: http://www.gnome-look.org/ZEN-Vision.tar.bz2
Patch: clearlooks-0.6.2-clearlooks-gtkrc-options.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gnome-icon-theme
BuildRequires: 	gtk-engines2 >= 2.16.0
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  icon-naming-utils >= 0.8.0
BuildRequires:  perl-XML-Parser
Conflicts: 	gnome-themes-extras <= 0.8.1-4mdk
Requires: 	gtk-engines2 >= 2.16.0
Requires:	libgnome-vfs2 >= 2.24
#ZEN-Vision theme needs zen-icons,gtk-aurora-engine 
Requires: gtk-aurora-engine
BuildArch: noarch
Obsoletes: %name < %version

%description
This packages contains Themes for GNOME, such as :
- Clearlooks
- SlicknesS
- ZEN-Vision
- High Contrast
- Large Print
- Low Constrat

%description -l de
Dieses Paket enthält Designs für GNOME, wie zum Beispiel:
 * Klares Aussehen
 * Hoher Kontrast
 * Großdruck
 * Geringer Kontrast

#french
%description -l fr
Ce paquet contient des thèmes pour Gnome.

#spanish
%description -l es
Este paquete contiene temas para GNOME.

#polish
%description -l pl
Domyślne motywy dla środowiska GNOME.

#serbian
%description -l sr
Овај пакет садржи Теме за ГНОМЕ.

#dutch
%description -l nl
Deze pakketten bevat Thema's voor GNOME.


%prep
%setup -q -a 1
%patch

%build

./configure --prefix=%_prefix --libdir=%_libdir --enable-all-themes


cd clearlooks-%clearlooks
autoreconf -fi
./configure --prefix=%_prefix --libdir=%_libdir

%make

%install
rm -rf $RPM_BUILD_ROOT
cd clearlooks-%clearlooks/themes
%makeinstall_std
cd ../..
%makeinstall_std GTK_BINARY_VERSION=%gtkbinaryver
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale 
rm -rf %buildroot%_datadir/themes/Clearlooks/gtk-2.0

for dir in %buildroot%{_datadir}/icons/*; do
 touch $dir/icon-theme.cache
done

#add default SlicknesS theme for pclos gnome 
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/themes/
bzip2 -cd %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/themes

#added default ZEN-Vision theme for ZEN-mini
bzip2 -cd %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/themes

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache Clearlooks
%update_icon_cache HighContrastInverse
%update_icon_cache LargePrint
%update_icon_cache Mist
%update_icon_cache Crux
%update_icon_cache HighContrastLargePrint
%update_icon_cache HighContrastLargePrintInverse 
%update_icon_cache HighContrast
%update_icon_cache HighContrast-SVG


%postun
%clean_icon_cache Clearlooks
%clean_icon_cache HighContrastInverse
%clean_icon_cache LargePrint
%clean_icon_cache Mist
%clean_icon_cache Crux
%clean_icon_cache HighContrastLargePrint
%clean_icon_cache HighContrastLargePrintInverse 
%clean_icon_cache HighContrast
%clean_icon_cache HighContrast-SVG

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS 
%{_datadir}/themes/*
%dir %{_datadir}/icons/*
%{_datadir}/icons/*/??x??
%{_datadir}/icons/*/scalable
%{_datadir}/icons/Clearlooks/index.theme
%{_datadir}/icons/Crux/index.theme
%{_datadir}/icons/HighContrast-SVG/index.theme
%{_datadir}/icons/HighContrast/index.theme
%{_datadir}/icons/HighContrastInverse/index.theme
%{_datadir}/icons/HighContrastLargePrint/index.theme
%{_datadir}/icons/HighContrastLargePrintInverse/index.theme
%{_datadir}/icons/LargePrint/index.theme
%{_datadir}/icons/Mist/index.theme
%ghost %{_datadir}/icons/*/icon-theme.cache
%{_datadir}/icons/Mist

%changelog
* Tue Nov 16 2010 Texstar <texstar at gmail.com> 2.32.1-1pclos2010
- 2.32.1

* Thu Oct 28 2010 siamer <siamer@wp.pl> 2.32.0-2pclos2010
- updated ZEN-Vision theme for ZEN-mini 2010.10:
+ add eclipse cursor 
+ removed zen-icons

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Tue Jun 22 2010 siamer <siamer@wp.pl> 2.30.2-1pclos2010
- new version

* Thu Apr 29 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Thu Apr 15 2010 slick50 <lxgator@gmail.com> 2.30.0-2pclos2010
- rebuild
- fix error in the gkrc "SlicknesS theme"
- add Req: zen icon theme for ZEN-Vision theme

* Tue Mar 30 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version
- added ZEN-Vsion theme for ZEN-mini

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 2.28.1-4pclos2010
- rebuild
- add more theme fixes in SlicknesS theme & fixed errors in the gkrc  

* Mon Mar 15 2010 slick50 <lxgator@gmail.com> 2.28.1-3pclos2010
- rebuild
- fix default SlicknesS theme for pclos gnome 
- trim spec file


